from typing import List, Dict
from pydantic import BaseModel


class QueryComponents(BaseModel):
    query_1: str
    query_2: str


class QueryDecomposeResponse(BaseModel):
    simplified_query: str
    query_components: List[QueryComponents]
    clarification_needed: str
    clarification: List[str]
    allowed_topics: str
    topics: List[str]


class GLSQLQuery(BaseModel):
    sql_query: str
    question: str


class GLSQLQueryResponse(BaseModel):
    queries: List[GLSQLQuery]